This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 211384 - regression: kernel 2.6.18-1.2200.fc5 crashes gui applications
regression: kernel 2.6.18-1.2200.fc5 crashes gui applications
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 17:09 EDT by Mark Smith
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 21:39:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
back trace of xclock crash (6.87 KB, text/plain)
2006-10-18 17:09 EDT, Mark Smith
no flags Details

  None (edit)
Description Mark Smith 2006-10-18 17:09:57 EDT
Description of problem:
ssh -X <ppc64host> 
# xclock  (or firefox or any gui)
with FC5 stock kernel: 2.6.15-1.2054_FC5  all is OK.
# yum update 
 and reboot with new 2.6.18-1.2200.fc5 kernel and 
 repeat, but apps crash.

Version-Release number of selected component (if applicable):
FC5  yum update to latest

How reproducible:easy
  
Actual results:
gui apps crash

Expected results:
success

Additional info:
I really did search for a duplicate but could not find any hits for kernel 
version & libc.so.6    :-)

*** buffer overflow detected ***: xclock terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x68)[0xf6c4728]
/lib/libc.so.6(__vsprintf_chk+0x0)[0xf6c38a0]
/lib/libc.so.6(_IO_default_xsputn+0xf0)[0xf63a360]
/lib/libc.so.6(_IO_vfprintf+0x14ac)[0xf60c97c]
/lib/libc.so.6(__vsprintf_chk+0xc0)[0xf6c3960]
/lib/libc.so.6(__sprintf_chk+0x68)[0xf6c3878]
/usr/lib/libfontconfig.so.1[0xfded094]

I believe other symptoms are vnc sessions coming up blank (with color, not 
black, but no desktop)
Comment 1 Mark Smith 2006-10-18 17:09:58 EDT
Created attachment 138835 [details]
back trace of xclock crash
Comment 2 Mark Smith 2006-10-18 17:14:07 EDT
arrgg, please reject this copy as duplicate.  Bugzilla told me (erroneously) 
that product = Fedora%20Core was invalid and I needed to retry.

sorry.
Comment 3 Mark Smith 2006-10-18 17:16:43 EDT
211383 is the original.
sorry, but my id does not allow me to cancel, close, or dup this off myself.

Note You need to log in before you can comment on or make changes to this bug.